Page MenuHomePhabricator

Wikistats displaying wrong MediaWiki versions
Closed, ResolvedPublic

Description

Looking at http://wikistats.wmflabs.org/display.php?t=ws I see that they're all listed on 1.26wmf7 however in reality they're using 1.32.0wmf1 as can be seen https://ang.wikisource.org/wiki/Syndrig:Version.

Details

Related Gerrit Patches:
operations/debs/wikistats : masteradd getting version info on each update run

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2018, 8:58 PM
Vvjjkkii renamed this task from Wikistats displaying wrong MediaWiki versions to m4daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
CommunityTechBot renamed this task from m4daaaaaaa to Wikistats displaying wrong MediaWiki versions.Jul 2 2018, 4:36 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
Dzahn claimed this task.Sep 27 2019, 8:51 PM

Looks like the link above displays correct data now but certainly not http://wikistats.wmflabs.org/display.php?t=wb (1.21wmf12) (https://tools.wmflabs.org/versions/).

Change 549955 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/debs/wikistats@master] add getting version info on each update run

https://gerrit.wikimedia.org/r/549955

Change 549955 merged by Dzahn:
[operations/debs/wikistats@master] add getting version info on each update run

https://gerrit.wikimedia.org/r/549955

Dzahn added a comment.Sat, Nov 9, 1:03 AM

@MarcoAurelio Should be fixed with the change above. I manually ran updates for Wikipedia and Wikibooks table and see how version changed now. It now gets the version each time it also gets the other numbers.

Dzahn added a comment.Sat, Nov 9, 1:04 AM

Once the cron ran once for each table this should be done.